## NAS Get Signal Info request NAS Get Signal Info request |

## Functions

QmiMessageNasGetSignalInfoOutput * | qmi_message_nas_get_signal_info_output_ref ()
void | qmi_message_nas_get_signal_info_output_unref ()
gboolean | qmi_message_nas_get_signal_info_output_get_tdma_signal_strength ()
gboolean | qmi_message_nas_get_signal_info_output_get_lte_signal_strength ()
gboolean | qmi_message_nas_get_signal_info_output_get_wcdma_signal_strength ()
gboolean | qmi_message_nas_get_signal_info_output_get_gsm_signal_strength ()
gboolean | qmi_message_nas_get_signal_info_output_get_hdr_signal_strength ()
gboolean | qmi_message_nas_get_signal_info_output_get_cdma_signal_strength ()
gboolean | qmi_message_nas_get_signal_info_output_get_result ()
void | qmi_client_nas_get_signal_info ()
QmiMessageNasGetSignalInfoOutput * | qmi_client_nas_get_signal_info_finish ()

## Types and Values

| QmiMessageNasGetSignalInfoOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetSignalInfoOutput

## Description

## Functions

### qmi_message_nas_get_signal_info_output_ref ()

    QmiMessageNasGetSignalInfoOutput *
    qmi_message_nas_get_signal_info_output_ref
                                   (QmiMessageNasGetSignalInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_signal_info_output_unref ()

    void
    qmi_message_nas_get_signal_info_output_unref
                                   (QmiMessageNasGetSignalInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_tdma_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_tdma_signal_strength
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    gint8 *value_tdma_signal_strength,
                                    GError **error);

Get the 'TDMA Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
value_tdma_signal_strength | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_lte_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_lte_signal_strength
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    gint8 *value_lte_signal_strength_rssi,
                                    gint8 *value_lte_signal_strength_rsrq,
                                    gint16 *value_lte_signal_strength_rsrp,
                                    gint16 *value_lte_signal_strength_snr,
                                    GError **error);

Get the 'LTE Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
value_lte_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_lte_signal_strength_rsrq | a placeholder for the output gint8, or `NULL` if not required. |
value_lte_signal_strength_rsrp | a placeholder for the output gint16, or `NULL` if not required. |
value_lte_signal_strength_snr | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_wcdma_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_wcdma_signal_strength
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    gint8 *value_wcdma_signal_strength_rssi,
                                    gint16 *value_wcdma_signal_strength_ecio,
                                    GError **error);

Get the 'WCDMA Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
value_wcdma_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_wcdma_signal_strength_ecio | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_gsm_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_gsm_signal_strength
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    gint8 *value_gsm_signal_strength,
                                    GError **error);

Get the 'GSM Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
value_gsm_signal_strength | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_hdr_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_hdr_signal_strength
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    gint8 *value_hdr_signal_strength_rssi,
                                    gint16 *value_hdr_signal_strength_ecio,
                                    QmiNasEvdoSinrLevel *value_hdr_signal_strength_sinr,
                                    gint32 *value_hdr_signal_strength_io,
                                    GError **error);

Get the 'HDR Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
value_hdr_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_hdr_signal_strength_ecio | a placeholder for the output gint16, or `NULL` if not required. |
value_hdr_signal_strength_sinr | a placeholder for the output QmiNasEvdoSinrLevel, or `NULL` if not required. |
value_hdr_signal_strength_io | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_cdma_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_cdma_signal_strength
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    gint8 *value_cdma_signal_strength_rssi,
                                    gint16 *value_cdma_signal_strength_ecio,
                                    GError **error);

Get the 'CDMA Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
value_cdma_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_cdma_signal_strength_ecio | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_signal_info_output_get_result ()

    gboolean
    qmi_message_nas_get_signal_info_output_get_result
                                   (QmiMessageNasGetSignalInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetSignalInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_nas_get_signal_info ()

    void
    qmi_client_nas_get_signal_info (QmiClientNas *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Signal Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_signal_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_signal_info_finish ()

    QmiMessageNasGetSignalInfoOutput *
    qmi_client_nas_get_signal_info_finish (QmiClientNas *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_nas_get_signal_info()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_signal_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetSignalInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_signal_info_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetSignalInfoOutput

    typedef struct _QmiMessageNasGetSignalInfoOutput QmiMessageNasGetSignalInfoOutput;

The QmiMessageNasGetSignalInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0